package cap6.labirinto;

import IngressoUscita.Console;

class Test
{ public static void main(String[] args)
  { Stanza s1 =
      new Stanza(
        "Stai pilotando il tuo monoposto " +
        "sopra la desolata regione scozzese delle Highlands");
    Stanza s2 =
      new Stanza(
        "Ti trovi in un campo aperto," +
        " a ovest di una casa bianca," +
        " con la porta principale sbarrata");
    Stanza s3 =
      new Stanza(
        "Sei in un labirinto di tortuosi," +
        " piccoli passaggi, tutti simili");
    Porta p1 = new Porta(s1, s2);
    s1.collega(Stanza.Direzioni.EST, p1);
    s2.collega(Stanza.Direzioni.OVEST, p1);
    Porta p2 = new Porta(s2, s3);
    s2.collega(Stanza.Direzioni.SUD, p2);
    s3.collega(Stanza.Direzioni.NORD, p2);
    Giocatore giocatore = new Giocatore("Zak");
    giocatore.muovi(s1);
    boolean ancora = true;
    while (ancora)
    { Stanza s = giocatore.locazione();
      Console.scriviStringa(s.descrivi());
      Stanza.Direzioni[] dir = s.direzioni();
      if (dir.length > 0)
      { Console.scriviStringa("Puoi andare a:");
        for (int i = 0; i < dir.length; i++)
          Console.scriviStringa(dir[i].toString());
      }
      Console.scriviStringa("Dove vuoi andare?");
      String in = Console.leggiStringa();
      if (in.equals("fine"))
        ancora = false;
      else if (
        in.equals("nord") || in.equals("sud") ||
            in.equals("est") || in.equals("ovest"))
      { Stanza.Direzioni d =
          Stanza.Direzioni.valueOf(in.toUpperCase());
        Risultato r = s.vai(giocatore, d);
        Console.scriviStringa(r.getMessage());
      }
      else
        Console.scriviStringa(
          "Non capisco la parola " + in);
    }
  }
}
